Get Transaction Status
curl --request GET \
--url https://api.eka.care/dr/v1/payment/transaction_status/{transaction_id} \
--header 'auth: <api-key>'import requests
url = "https://api.eka.care/dr/v1/payment/transaction_status/{transaction_id}"
headers = {"auth": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<api-key>'}};
fetch('https://api.eka.care/dr/v1/payment/transaction_status/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": 15,
"created_at": "2024-10-01T11:41:24.000+0000",
"payment_gateway": "Ezetap",
"payment_mode": "UPI",
"payment_status": "PAYMENT_SUCCESS",
"rrn": 4275481,
"transaction_id": "54385bbc-823-bdjbjgwu-6d335"
}{
"code": "TRANSACTION_ID_NOT_FOUND",
"message": "The specified transaction ID does not exist"
}{
"code": "SERVER_ERROR",
"message": "An unexpected error occurred on the server"
}Payments API
Get Transaction Status
GET
/
dr
/
v1
/
payment
/
transaction_status
/
{transaction_id}
Get Transaction Status
Authorizations
apiKeyAuthauth
Path Parameters
Response
Successful response
Was this page helpful?
⌘I

